# Uses of Record Class
org.springframework.core.io.support.PropertySourceDescriptor

Packages that use PropertySourceDescriptor
Package
Description
org.springframework.core.io.support
Support classes for Spring's resource abstraction.

## Uses of PropertySourceDescriptor in org.springframework.core.io.support

Methods in org.springframework.core.io.support with parameters of type PropertySourceDescriptor
Modifier and Type
Method
Description
`void`
PropertySourceProcessor.`processPropertySource(PropertySourceDescriptor descriptor)`
Process the specified `PropertySourceDescriptor` against the environment managed by this instance.